Baixar mídia recebida (base64)
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"contentType": "audio/ogg; codecs=opus",
"fileName": "audio.ogg",
"base64": "T2dnUwACAAAAAAAAAAD//////////wEA..."
}
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}Mensagens
Baixar mídia recebida (base64)
Baixa foto, áudio ou documento de uma mensagem recebida. Retorno em base64 no JSON.
POST
/
v1
/
whatsapp
/
messages
/
inbound
/
{id}
/
media
Baixar mídia recebida (base64)
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/messages/inbound/{id}/media"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"contentType": "audio/ogg; codecs=opus",
"fileName": "audio.ogg",
"base64": "T2dnUwACAAAAAAAAAAD//////////wEA..."
}
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}{
"success": false,
"error": "string",
"message": "string",
"code": "string",
"details": [
{
"field": "string",
"message": "string"
}
],
"note": "string"
}Autorizações
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parâmetros de caminho
ID do inbound (mesmo retornado em GET /v1/whatsapp/messages/inbound/{id}). Substitua {id} pelo valor real — sem ID a URL fica /inbound//media.
Exemplo:
"clxxinbound001"
Esta página foi útil?

